## kf6-ki18n 6.16.0

=== debian/changelog ===
kf6-ki18n (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:42:57 +0100
