## kf6-ki18n 6.18.0+p24.04+vstable+git20250926.0517

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(KI18n VERSION ${KF_VERSION})
 
 # ECM setup
