## kf6-ki18n 6.18.0+p24.04+vstable+git20251001.1053

=== debian/changelog ===
kf6-ki18n (6.18.0+p24.04+vstable+git20251001.1053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 10:54:01 +0000
