## kf6-ki18n 6.19.0

=== debian/changelog ===
kf6-ki18n (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:57 +0100
