## kf6-ki18n 6.19.0+p24.04+vstable+git20251008.0748

=== debian/changelog ===
kf6-ki18n (6.19.0+p24.04+vstable+git20251008.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:48:30 +0000

kf6-ki18n (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:58:02 +0000
