=== debian/changelog ===
kf6-ki18n (6.19.0+p24.04+vstable+git20251015.0815-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:15:52 +0000
