=== debian/control ===
Source: kf6-ki18n
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               pkg-kde-tools-neon,
               python3,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/ki18n
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-ki18n.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-ki18n
Maintainer: Neon CI <neon@kde.org>

Package: kf6-ki18n
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6i18n-data,
          libkf6i18n6,
          libkf6i18nlocaledata6,
          qml6-module-org-kde-i18n-localedata
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 This package contains the translations.

Package: kf6-ki18n-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-ki18n (= ${binary:Version}),
         python3:any,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6i18n-dev, libkf6i18n-doc
Description: Advanced internationalization framework.
 Ki18n is the KDE internationalization system for
 user-interface text. It enables localization of
 user-visible strings, including locale-aware argument
 substitution and formatting. Ki18n is built atop the
 widely used Gettext internationalization system, making
 the workflow familiar to both programmers and translators.
 It can be considered a Gettext-wrapper for code based on
 the Qt library, but it also provides additional
 functionality over basic Gettext.
 .
 Contains development files for ki18n.

Package: libkf6i18n-data
Architecture: all
Depends: kf6-ki18n, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6i18n-doc
Architecture: all
Depends: kf6-ki18n-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6i18n6
Architecture: all
Depends: kf6-ki18n, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6i18nlocaledata6
Architecture: all
Depends: kf6-ki18n, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-i18n-localedata
Architecture: all
Depends: kf6-ki18n, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6i18n-dev
Architecture: all
Depends: kf6-ki18n-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
