## kf6-ki18n 6.19.0+p24.04+vstable+git20251023.0055

=== debian/changelog ===
kf6-ki18n (6.19.0+p24.04+vstable+git20251023.0055-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:56:03 +0000
