## kf6-ki18n 6.19.0+p24.04+vunstable+git20251020.0200

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core OPTIONAL_COMPONENTS Widgets)
