=== debian/changelog ===
kf6-ki18n (6.19.0+p24.04+vunstable+git20251020.0200-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:00:44 +0000
