## kf6-ki18n 6.20.0+p24.04+vunstable+git20251122.0632

=== debian/changelog ===
kf6-ki18n (6.20.0+p24.04+vunstable+git20251122.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:33:08 +0000
